#!/bin/bash

# L2Ork patching mechanism (c) L2Ork http://l2ork.music.vt.edu

width=`tput cols`

linebreak()
{
	i=0
	while [ $i -lt $width ]
	do
		echo -n "="
		let i+=1
	done
}

echo -e "\n\n"
linebreak
echo -e "L2Ork PATCH APPLICATION INSTRUCTIONS:"
linebreak
echo -e "If asked for your user password during patch application process, please enter it and press RETURN."
sudo ls > /dev/null

linebreak
echo -n Applying patch...

# ------------- do not touch anything above this line ------------- 

#place patch contents below
cp -rf 8 ~/L2Ork/Exercises/
rm -f ~/L2Ork/Exercises/9/*
cp -rf 9 ~/L2Ork/Exercises/
cp -r Abstractions ~/L2Ork/PD/

cd Pd-0.42.5-extended-l2ork-*
sudo make install > /dev/null
sudo mv /etc/init.d/ondemand.* /etc/init.d/ondemand

# ------------- do not touch anything below this line -------------

echo "Done!"
echo -e "\n\n"
exit 0
